let CDFILIAL = ""
let CDLOJA = ""

let cargaInicial = false
let socket = io()
let payloadCheckInterval = 1000
let beep

let  payLoadReceived = false

axios.get('./identification').then((data)=>{
    CDFILIAL = data.data.cdfilial
    CDLOJA = data.data.cdloja
})


let minPassLenght = 2
let maxPassLenght = 4

playBeep = function(){
    let beep = new Audio('mp3/beep.mp3').play().catch( error => {
        console.log('Você precisa habilitar permissão de audio permanente para essa aplicação!')
    })
}

payloadCheck = function(){
    if ( payLoadReceived == false){
        socket.emit('giveMeAll', true)
        setTimeout( payloadCheck, payloadCheckInterval)
    }
}

let passLenght = 4

let app = new Vue({
    el: '#app',
    data: {
        title: 'PSD - Api v1.0.0',
        doing: {},
        done: {},
        currentPass: {},
        panelTitle: ''
    },
    methods: {
        setDoing: function(newDoing){
            if( Object.keys(newDoing).length > 0){
                this.doing = newDoing[CDFILIAL][CDLOJA];
            } else {
                this.doing = {}
            }
        },
        setDone: function(newDone){
            if( Object.keys(newDone).length > 0 ){
                this.done = newDone[CDFILIAL][CDLOJA];
            } else {
                this.done = {}
            }
        },
        removeDone(id){
            delete this.done[id];
            this.done = JSON.parse( JSON.stringify( this.done ))
        },
        addDone(data){
            this.done = Object.assign( data, this.done);
            this.done = JSON.parse( JSON.stringify( this.done ))
        },
        removeDoing(id){
            delete this.doing[id];
            this.doing = JSON.parse( JSON.stringify( this.doing ))
        },
        addDoing(data){
            this.doing = Object.assign( this.doing, data);
            this.doing = JSON.parse( JSON.stringify( this.doing ))
        },
        removeAll(){
            this.doing = {}
            this.done = {}
            this.doing = JSON.parse( JSON.stringify( this.doing ))
            this.done = JSON.parse( JSON.stringify( this.done ))
        },
        limit4: function(str){
            str = parseInt( str ) > 0 ? parseInt ( str ).toString() : str;
            if(str.length < minPassLenght){
                return ('000000000000'+str).substr(minPassLenght*-1)
            } else if (str.length > maxPassLenght) {
                return ('000000000000'+str).substr(maxPassLenght*-1)
            } else {
                return str;
            }
        },
        updateData: function(){
            data = JSON.parse( JSON.stringify( ))
        },
        setTitle(title) {
            this.panelTitle = title
        },
        setPrefix(prefix){
            this.prefix = prefix
        },
        setPrimaryColor(color) {
            this.primaryColor = color
            let primaryStyle = document.createElement('style');
            primaryStyle.innerHTML = `
            .primaryText {
                color: ${color} !important;
            }

            .primaryBackground {
                background-color: ${color} !important;
            }
            `;

            document.body.append(primaryStyle)

        }
    }
});